#include <windows.h>
#include <ddraw.h>
#include "Global.h"

// Global Variables
HINSTANCE g_hInstance;          // Application Instance
HWND g_hwnd;                    // Main window handle
LPDIRECTDRAW g_lpdd = 0;        // Direct Draw Object
LPDIRECTDRAW4 g_pDDraw4 = 0;    // Direct Draw 4 Object
DDSURFACEDESC2 g_ddsd;          // Surface description
LPDIRECTDRAWSURFACE4 g_pPrimary = 0;   // Primary Surface
LPDIRECTDRAWSURFACE4 g_pBack = 0;      // Back buffer Surface
LPDIRECTDRAWSURFACE4 g_pTitleSurface = 0;

// Class Instances
CGame Game = {0, false, 3, false, 1, false, false};
CPaddle Player(380, 550, 420, 555);
CPaddle Enemy(380, 150, 420, 155);
CBall Ball;

// Class Implimentations
CPaddle::CPaddle(int _x1, int _y1, int _x2, int _y2)
{
	color = RGBVAL(0, 255, 0);
	x1 = _x1;
	y1 = _y1;
	x2 = _x2;
	y2 = _y2;
}

void CPaddle::Update()
{
	myRect.left = x1;
	myRect.right = x2;
	myRect.top = y1;
	myRect.bottom = y2;
}


CBall::CBall()
{
	color = RGBVAL(0, 255, 0);
	Velx = -2;
	Vely = -3;
	x1 = 397;
	y1 = 350;
	x2 = 402;
	y2 = 355;
}

void CBall::Update()
{
	myRect.left = x1;
	myRect.right = x2;
	myRect.top = y1;
	myRect.bottom = y2;
}


